<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/chooseInSticks.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('chooseInSticks_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">chooseInSticks.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="chooseInSticks_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1chooseInSticks.html">    1</a></span>&#160;<span class="comment"># $Id: chooseInSticks.py 47 2011-06-13 10:20:14Z georgesk $</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno"><a class="line" href="namespacesrc_1_1chooseInSticks.html#ae26268cac1abb89feccf354e0a33511d">    3</a></span>&#160;licenceEn=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral">    file chooseInSticks.py</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtGui.html">PyQt5.QtGui</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">import</span> os.path</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">import</span> Ui_chooseInSticks</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html">chooseDialog</a>(<a class="code" href="classQDialog.html">QDialog</a>):</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac3b09c20f5a47abf606d6f557e662a60">   42</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac3b09c20f5a47abf606d6f557e662a60">__init__</a>(self,parent = None, title1=&quot;&quot;, title2=&quot;&quot;, okPrompt=&quot;OK&quot;):</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        QDialog.__init__(self,parent)</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">   44</a></span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>=parent</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>=Ui_chooseInSticks.Ui_Dialog()</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.setupUi(self)</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        self.setWindowTitle(title1)</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.groupBox.setTitle(title2)</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        okButton=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.buttonBox.button(QDialogButtonBox.Ok)</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.buttonBox.removeButton(okButton)</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">   53</a></span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">okButton</a>=QPushButton(okPrompt)</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.buttonBox.addButton(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">okButton</a>,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                                     QDialogButtonBox.AcceptRole)</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>=QStandardItemModel()</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a> = QSortFilterProxyModel()</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a>.setSourceModel(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>)</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listView.setModel(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a>)</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a>.setDynamicSortFilter(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">_storListModel</a>=QStandardItemModel()</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a> = QSortFilterProxyModel()</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.setSourceModel(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">_storListModel</a>)</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listChoixCle.setModel(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>)</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.setDynamicSortFilter(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        </div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">   69</a></span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">ownedUsbDictionary</a>={}</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45">listStorages</a>()</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.minusButton.setEnabled(<span class="keyword">False</span>)</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.travailEdit.setText(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.workdir)</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.plusButton.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">plus</a>)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.chooseButton.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">choose</a>)</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.chooseButton_dir.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a">choose_dir</a>)</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">okButton</a>.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a05ad7d0c5c309fe41fe7fa75eb4913a3">checkValues</a>)</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.minusButton.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac668be1db6d809333bb80748fb4dd238">minus</a>)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listView.clicked.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">activate</a>)</div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a2f93ca261a81394f7eb89abb75ed2f72">   80</a></span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.travailEdit.editingFinished.connect(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">changeWd</a>)</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a2f93ca261a81394f7eb89abb75ed2f72">ok</a>=<span class="keyword">False</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="comment">#        fonction de rappel liée au bouton de validation, vérifie s&#39;il y a bien</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="comment">#        au moins un fichier ou un répertoire sélectionné</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a05ad7d0c5c309fe41fe7fa75eb4913a3">   87</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a05ad7d0c5c309fe41fe7fa75eb4913a3">checkValues</a>(self):</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a2f93ca261a81394f7eb89abb75ed2f72">ok</a>=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listView.model().rowCount()&gt;0</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="comment">#        Met en place la liste des noms de baladeurs connectés en tenant compte</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="comment">#        du nom de répertoire de travail et d&#39;un baladeur éventuellement</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="comment">#        sélectionné dans la fenêtre principale</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45">   95</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45">listStorages</a>(self):</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        sel=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.ui.tableView.selectedIndexes()</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordflow">for</span> d <span class="keywordflow">in</span> qApp.available:</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            o=d.ownerByDb()</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            mountPath=d.ensureMounted()</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            item=QStandardItem(o)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="comment"># on cherche à voir si la clé est déjà sélectionnée</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            <span class="keywordflow">for</span> modelIndex <span class="keywordflow">in</span> sel:</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                <span class="keywordflow">if</span> o == <span class="stringliteral">&quot;%s&quot;</span> %modelIndex.data(Qt.DisplayRole):</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                    <span class="keywordflow">break</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">_storListModel</a>.appendRow(item)</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">ownedUsbDictionary</a>[o]=mountPath</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.sort(0)</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">checkWorkDirs</a>()</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="comment">#        met à jour la possibilité de sélectionner les baladeurs dans la liste</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="comment">#        selon qu&#39;ils ont ou pas un répertoire de travail, puis sélectionne</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="comment">#        si possible un baladeur, si aucun ne l&#39;était avant.</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">  115</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">checkWorkDirs</a>(self):</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        firstSelectable=<span class="keywordtype">None</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        okSelected=<span class="keywordtype">None</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <span class="comment"># on récupère la sélection courante à travers le proxy</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        selection=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listChoixCle.selectionModel().selection()</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        selection = self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.mapSelectionToSource(selection)</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        selectedRows=map(<span class="keyword">lambda</span> x: x.row(), self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listChoixCle.selectedIndexes())</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        itemList=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">_storListModel</a>.findItems (<span class="stringliteral">&quot;*&quot;</span>,Qt.MatchWildcard)</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        itemList.sort(key=<span class="keyword">lambda</span> i: i.data(Qt.DisplayRole))</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="comment"># parcours des items de la liste par ordre alphabétique</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        <span class="comment"># pour élire celui qui sera sélectionné initialement</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        <span class="keywordflow">for</span> item <span class="keywordflow">in</span> itemList:</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            index=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">_storListModel</a>.indexFromItem(item)</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            o=<span class="stringliteral">&quot;%s&quot;</span> %item.data(Qt.DisplayRole)</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            testDir=os.path.join(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">ownedUsbDictionary</a>[o],self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.workdir)</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            <span class="keywordflow">if</span> os.path.isdir(testDir):</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                <span class="comment"># si l&#39;item concerne un disque qui contient le répertoire de</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                <span class="comment"># travail, on le rend sélectionnable</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                item.setSelectable(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                item.setEnabled(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                <span class="comment"># et si c&#39;est le tout premier, on s&#39;en souvient.</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                <span class="keywordflow">if</span> firstSelectable == <span class="keywordtype">None</span>:</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                    firstSelectable=index</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                <span class="comment"># on vérifie s&#39;il était déjà dans la sélection</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                <span class="keywordflow">if</span> index.row() <span class="keywordflow">in</span> selectedRows:</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                    okSelected=index</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                item.setSelectable(<span class="keyword">False</span>)</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                item.setEnabled(<span class="keyword">False</span>)</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        <span class="keywordflow">if</span> okSelected == <span class="keywordtype">None</span> <span class="keywordflow">and</span> firstSelectable != <span class="keywordtype">None</span>:</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            selection=QItemSelection(firstSelectable,firstSelectable)</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            selection=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.mapSelectionFromSource(selection)</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listChoixCle.selectionModel().select(selection, QItemSelectionModel.Select);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160; </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="comment">#        @return le répertoire à partir duquel on peut commencer à faire</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="comment">#        un choix de fichier ou de sous-répertoire. Il dépend du baladeur</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="comment">#        sélectionné s&#39;il y en a un et du nom du répertoire de travail.</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="comment">#        Si on n&#39;arrive pas à déterminer ce répertoire, renvoie None</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400">  155</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400">baseDir</a>(self):</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        mp=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">selectedDiskMountPoint</a>()</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        <span class="keywordflow">if</span> mp:</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;            <span class="keywordflow">return</span> os.path.join(mp,self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.workdir)</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            <span class="keywordflow">return</span> <span class="keywordtype">None</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    </div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160; </div>
<div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">  165</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">selectedDiskMountPoint</a>(self):</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        o=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2">selectedDiskOwner</a>()</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordflow">if</span> o==<span class="keywordtype">None</span>:</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            <span class="keywordflow">return</span> <span class="keywordtype">None</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            <span class="keywordflow">return</span> self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">ownedUsbDictionary</a>[o]</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160; </div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="comment">#        @return le nom du propriétaire du disque sélectionné s&#39;il y en a un,</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="comment">#        sinon None.</span></div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160; </div>
<div class="line"><a name="l00176"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2">  176</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2">selectedDiskOwner</a>(self):</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        selection=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listChoixCle.selectionModel().selection()</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        <span class="keywordflow">if</span> len(selection)==0:</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            <span class="keywordflow">return</span> <span class="keywordtype">None</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        selection = self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">_storListProxyModel</a>.mapSelectionToSource(selection)</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        <span class="keywordflow">return</span> <span class="stringliteral">&quot;%s&quot;</span> %selection.indexes()[0].data(Qt.DisplayRole)</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00186"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">  186</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">changeWd</a>(self):</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;        newDir=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.travailEdit.text()</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">changeWd</a>(newDir)</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">checkWorkDirs</a>()</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160; </div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="comment">#        Facilite le choix de motifs de fichiers en recherchant dans</span></div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <span class="comment">#        les clés USB, modifie l&#39;éditeur de ligne de texte et place le</span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="comment">#        fichier choisi dans la liste</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="comment">#        @param kind type d&#39;élément à choisir : &quot;file&quot; pour un fichier,</span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <span class="comment">#        &quot;dir&quot; pour un répertoire</span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160; </div>
<div class="line"><a name="l00198"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">  198</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">choose</a>(self, kind=&quot;file&quot;):</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        <span class="keywordflow">if</span> kind == <span class="stringliteral">&quot;file&quot;</span>:</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;            func=QFileDialog.getOpenFileNames</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            msg=QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;                                       <span class="stringliteral">&quot;Choissez un fichier (ou plus)&quot;</span>)</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;            func=QFileDialog.getExistingDirectory</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            msg=QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;                                       <span class="stringliteral">&quot;Choissez un répertoire&quot;</span>)</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;        cd=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400">baseDir</a>()</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;        <span class="keywordflow">if</span> cd!=<span class="keywordtype">None</span>:</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            f = func (<span class="keywordtype">None</span>, msg, cd)</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            <span class="keywordflow">if</span> f <span class="keywordflow">and</span> len(f)&gt;0:</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;                <span class="keywordflow">if</span> isinstance(f, str):</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;                    theList=[f]</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                    theList=f</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                <span class="keywordflow">for</span> f <span class="keywordflow">in</span> theList:</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                    path=f.replace(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">selectedDiskMountPoint</a>()+<span class="stringliteral">&quot;/&quot;</span>, <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                    self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.lineEdit.setText(path)</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                    self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">plus</a>()</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;            titre=QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;                                         <span class="stringliteral">&quot;Aucune clé modèle sélectionnée&quot;</span>)</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;            msg=QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>,</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;                                       <span class="stringliteral">&quot;Veuillez choisir une clé modèle&lt;br&gt;parmi les clés connectées en cliquant&lt;br&gt;sur une ligne du tableau, pour&lt;br&gt;bénéficier de l&#39;aide au choix de fichiers.&lt;br&gt;&lt;br&gt;Cette clé doit contenir au moins&lt;br&gt;un répertoire « {workdir} ».&quot;</span>.format(workdir=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a>.workdir))</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;            msgBox=QMessageBox.warning(<span class="keywordtype">None</span>, titre, msg)</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160; </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <span class="comment">#        Facilite le choix de motifs de répertoires en recherchant dans</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    <span class="comment">#        les clés USB, modifie l&#39;éditeur de ligne de texte et place le</span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <span class="comment">#        répertoire choisi dans la liste</span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160; </div>
<div class="line"><a name="l00231"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a">  231</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a">choose_dir</a>(self):</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">choose</a>(kind=<span class="stringliteral">&quot;dir&quot;</span>)</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160; </div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    </div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160; </div>
<div class="line"><a name="l00238"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">  238</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">activate</a>(self, item):</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.minusButton.setEnabled(<span class="keyword">True</span>)</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160; </div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <span class="comment">#        Permet de choisir et d&#39;ajouter un nouveau fichier ou répertoire à</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <span class="comment">#        supprimer</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160; </div>
<div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">  245</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">plus</a>(self):</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;        text=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.lineEdit.text()</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;        <span class="keywordflow">if</span> len(text)&gt;0 :</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">append</a>(text)</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160; </div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    <span class="comment">#        Permet de retirer de la liste des fichiers à supprimer ceux qu&#39;on</span></div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="comment">#        a sélectionnés</span></div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; </div>
<div class="line"><a name="l00254"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac668be1db6d809333bb80748fb4dd238">  254</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac668be1db6d809333bb80748fb4dd238">minus</a>(self):</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;        sel=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listView.selectedIndexes()</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        sel1=map(self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a>.mapToSource,sel)</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;        rows=map(<span class="keyword">lambda</span> x: x.row(), sel1)</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        rows.sort(<span class="stringliteral">&quot;descending&quot;</span>)</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;        <span class="keywordflow">for</span> r <span class="keywordflow">in</span> rows:</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>.removeRow(r)</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;        sel=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.listView.selectedIndexes()</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;        <span class="keywordflow">if</span> len(sel)==0:</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.minusButton.setEnabled(<span class="keyword">False</span>)</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160; </div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    </div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160; </div>
<div class="line"><a name="l00269"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">  269</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">append</a>(self, path):</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;        f=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>.findItems(path)</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;        <span class="keywordflow">if</span> len(f)==0:</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;            item=QStandardItem(path)</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>.appendRow(item)</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;            self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">_fileListProxyModel</a>.sort(0)</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;            <span class="keywordflow">print</span> (<span class="stringliteral">&quot;%s est déjà sélectionné&quot;</span> %path)</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160; </div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;    <span class="comment">#        renvoie la liste des chemins sélectionnés; dans le cas de chemins</span></div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    <span class="comment">#        sans jokers (caractères * ou ?), les chemins sont protégés par des</span></div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    <span class="comment">#        guillemets, afin qu&#39;ils soient adaptés à un shell POSIX.</span></div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    <span class="comment">#        @return une liste de chemins, sous forme de QStrings</span></div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="comment">#</span></div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160; </div>
<div class="line"><a name="l00284"></a><span class="lineno"><a class="line" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a6b09b208f6a51b3aa7344d37590341">  284</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a6b09b208f6a51b3aa7344d37590341">pathList</a>(self):</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;        itemList=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">_fileListModel</a>.findItems(<span class="stringliteral">&quot;*&quot;</span>,Qt.MatchWildcard)</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;        result=[x.text() <span class="keywordflow">for</span> x <span class="keywordflow">in</span> itemList]</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;        otherText=self.<a class="code" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">_ui</a>.lineEdit.text()</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;        <span class="keywordflow">if</span> len(otherText) &gt; 0 <span class="keywordflow">and</span> otherText <span class="keywordflow">not</span> <span class="keywordflow">in</span> result :</div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;            result.append(otherText)</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;        <span class="keywordflow">return</span> result</div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160; </div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160; </div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_acd0eb40e7c5dd52a6b1e4f6632b72cb4"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">src.chooseInSticks.chooseDialog.plus</a></div><div class="ttdeci">def plus(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00245">chooseInSticks.py:245</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_aba3189be165ecad71522e4d13b86fce2"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2">src.chooseInSticks.chooseDialog.selectedDiskOwner</a></div><div class="ttdeci">def selectedDiskOwner(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00176">chooseInSticks.py:176</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a5fc8ac084368fd21decade8bb18dbdf6"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">src.chooseInSticks.chooseDialog.ownedUsbDictionary</a></div><div class="ttdeci">ownedUsbDictionary</div><div class="ttdoc">peuplement de la zone des noms de baladeurs</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00069">chooseInSticks.py:69</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_ae8734329312ac99a7ce87ec4f3c23dc6"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">src.chooseInSticks.chooseDialog.selectedDiskMountPoint</a></div><div class="ttdeci">def selectedDiskMountPoint(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00165">chooseInSticks.py:165</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a6927fa9486a5ceca916feaac1018da37"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6927fa9486a5ceca916feaac1018da37">src.chooseInSticks.chooseDialog._fileListProxyModel</a></div><div class="ttdeci">_fileListProxyModel</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00058">chooseInSticks.py:58</a></div></div>
<div class="ttc" id="aclassQDialog_html"><div class="ttname"><a href="classQDialog.html">QDialog</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a02447b742fdd693827af19f7842ea95d"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">src.chooseInSticks.chooseDialog.choose</a></div><div class="ttdeci">def choose(self, kind=&quot;file&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00198">chooseInSticks.py:198</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html">src.chooseInSticks.chooseDialog</a></div><div class="ttdoc">Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB.</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00033">chooseInSticks.py:33</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a05ad7d0c5c309fe41fe7fa75eb4913a3"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a05ad7d0c5c309fe41fe7fa75eb4913a3">src.chooseInSticks.chooseDialog.checkValues</a></div><div class="ttdeci">def checkValues(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00087">chooseInSticks.py:87</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a36b0fee171065b393015d69bb8558553"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a36b0fee171065b393015d69bb8558553">src.chooseInSticks.chooseDialog._storListModel</a></div><div class="ttdeci">_storListModel</div><div class="ttdoc">création de la structure de liste pour les noms de baladeurs</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00063">chooseInSticks.py:63</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a81b67b846cb1aca9c9054127ad29a15e"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a81b67b846cb1aca9c9054127ad29a15e">src.chooseInSticks.chooseDialog._ui</a></div><div class="ttdeci">_ui</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00045">chooseInSticks.py:45</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a6a947a13aa924a58f56b6308caff6e45"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45">src.chooseInSticks.chooseDialog.listStorages</a></div><div class="ttdeci">def listStorages(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00095">chooseInSticks.py:95</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a452bf5d132f3e6ae7573e6242e8ce11a"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a">src.chooseInSticks.chooseDialog.choose_dir</a></div><div class="ttdeci">def choose_dir(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00231">chooseInSticks.py:231</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a6716861dec0cd550598e720dcbd85fd0"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">src.chooseInSticks.chooseDialog.changeWd</a></div><div class="ttdeci">def changeWd(self)</div><div class="ttdoc">changement du répertoire de travail</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00186">chooseInSticks.py:186</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a2f93ca261a81394f7eb89abb75ed2f72"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a2f93ca261a81394f7eb89abb75ed2f72">src.chooseInSticks.chooseDialog.ok</a></div><div class="ttdeci">ok</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00080">chooseInSticks.py:80</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a6a6b09b208f6a51b3aa7344d37590341"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a6b09b208f6a51b3aa7344d37590341">src.chooseInSticks.chooseDialog.pathList</a></div><div class="ttdeci">def pathList(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00284">chooseInSticks.py:284</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a88f0dd98a593d8af38234213682c3e2d"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a88f0dd98a593d8af38234213682c3e2d">src.chooseInSticks.chooseDialog._fileListModel</a></div><div class="ttdeci">_fileListModel</div><div class="ttdoc">création de la structure de liste pour les fichiers</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00057">chooseInSticks.py:57</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_ae5103dd3d4df161782e1516c780e975e"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">src.chooseInSticks.chooseDialog.okButton</a></div><div class="ttdeci">okButton</div><div class="ttdoc">mise en place des titres personnalisés</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00053">chooseInSticks.py:53</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_ac3b09c20f5a47abf606d6f557e662a60"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac3b09c20f5a47abf606d6f557e662a60">src.chooseInSticks.chooseDialog.__init__</a></div><div class="ttdeci">def __init__(self, parent=None, title1=&quot;&quot;, title2=&quot;&quot;, okPrompt=&quot;OK&quot;)</div><div class="ttdoc">Le constructeur.</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00042">chooseInSticks.py:42</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a8037270a5e48021a928761beca5d0400"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400">src.chooseInSticks.chooseDialog.baseDir</a></div><div class="ttdeci">def baseDir(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00155">chooseInSticks.py:155</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a0ad5035351ffc46963b177d49be29b45"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">src.chooseInSticks.chooseDialog.activate</a></div><div class="ttdeci">def activate(self, item)</div><div class="ttdoc">Fonction de rappel quand un item de la liste est activé</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00238">chooseInSticks.py:238</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_ac668be1db6d809333bb80748fb4dd238"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac668be1db6d809333bb80748fb4dd238">src.chooseInSticks.chooseDialog.minus</a></div><div class="ttdeci">def minus(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00254">chooseInSticks.py:254</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtGui_html"><div class="ttname"><a href="namespacePyQt5_1_1QtGui.html">QtGui</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_afe56110721a38e428431b04ac45b9ad6"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">src.chooseInSticks.chooseDialog.mainWindow</a></div><div class="ttdeci">mainWindow</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00044">chooseInSticks.py:44</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_aa67ebba32bfa920c5d1b0ebd983e3289"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">src.chooseInSticks.chooseDialog.checkWorkDirs</a></div><div class="ttdeci">def checkWorkDirs(self)</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00115">chooseInSticks.py:115</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a71579559d9987764231ad6c16f553524"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">src.chooseInSticks.chooseDialog.append</a></div><div class="ttdeci">def append(self, path)</div><div class="ttdoc">Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer.</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00269">chooseInSticks.py:269</a></div></div>
<div class="ttc" id="aclasssrc_1_1chooseInSticks_1_1chooseDialog_html_a5635da1a95f3fa344d928ac03101a4fa"><div class="ttname"><a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5635da1a95f3fa344d928ac03101a4fa">src.chooseInSticks.chooseDialog._storListProxyModel</a></div><div class="ttdeci">_storListProxyModel</div><div class="ttdef"><b>Definition:</b> <a href="chooseInSticks_8py_source.html#l00064">chooseInSticks.py:64</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="chooseInSticks_8py.html">chooseInSticks.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
